The SML of NJ Library
The `UnixSockUtil` structure

The `UnixSockUtil` structure extends the `SockUtil` structure with an additional operation for making Unix-domain connections.

## Synopsis

    signature UNIX_SOCK_UTIL
    structure UnixSockUtil : UNIX_SOCK_UTIL

## Interface

    include SOCK_UTIL

    val connectUnixStrm : string -> UnixSock.unix stream_sock

## Description

`include SOCK_UTIL`

  The `UnixSockUtil` structure includes the operations from the `SockUtil` structure.

`val connectUnixStrm : string -> UnixSock.unix stream_sock`

  `connectUnixStrm path` establishs a client-side connection to the Unix-domain stream socket specified by `path`.

## See Also

`SockUtil`, `UnixSock` (SML Basis), The INet Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC